/*
 * Copyright 2010 Marek Olšák <maraeo@gmail.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * on the rights to use, copy, modify, merge, publish, distribute, sub
 * license, and/or sell copies of the Software, and to permit persons to whom
 * the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHOR(S) AND/OR THEIR SUPPLIERS BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
 * USE OR OTHER DEALINGS IN THE SOFTWARE. */

#ifndef R300_DEFINES_H
#define R300_DEFINES_H

#include "pipe/p_defines.h"

#define R300_MAX_TEXTURE_LEVELS         13
#define R300_MAX_DRAW_VBO_SIZE          (1024 * 1024)

#define R300_RESOURCE_FLAG_TRANSFER     PIPE_RESOURCE_FLAG_DRV_PRIV

#define R300_INVALID_FORMAT 0xffff

/* Tiling flags. */
enum r300_buffer_tiling {
    R300_BUFFER_LINEAR = 0,
    R300_BUFFER_TILED,
    R300_BUFFER_SQUARETILED,

    R300_BUFFER_UNKNOWN,
    R300_BUFFER_SELECT_LAYOUT = R300_BUFFER_UNKNOWN
};

enum r300_buffer_domain { /* bitfield */
    R300_DOMAIN_GTT  = 2,
    R300_DOMAIN_VRAM = 4
};

#endif
